- Qt 6.7
- Qt Graphs
- QML Types
- QtGraphs (Technical Preview)
- ScatterDataProxy
- Qt Graphs | Commercial or GPLv3

# ScatterDataProxy QML Type

The data proxy for 3D scatter graphs. More...

Import Statement: | import QtGraphs
Inherits: | AbstractDataProxy
Inherited By: | ItemModelScatterDataProxy
Status: | Technical Preview

- List of all members, including inherited members
- ScatterDataProxy is part of Qt Graphs QML Types for 3D.

## Properties

- itemCount : int
- series : Scatter3DSeries

## Detailed Description

This type handles adding, inserting, changing, and removing data items.

This type is uncreatable, but contains properties that are exposed via subtypes.

See also ItemModelScatterDataProxy and Qt Graphs Data Handling with 3D.

## Property Documentation

itemCount : int

The number of items in the array.

series : Scatter3DSeries

The series this proxy is attached to.